<%@ Page Inherits="Dvbbs.bbs.UI.Admin.admin_index" %>
<%@ Register tagPrefix="Dvbbs" namespace="Dvbbs.Controls" assembly="Dvbbs.Web"%>
<%@ Register tagPrefix="bbs" tagName="AdminHeader" src="controls/admin_header.ascx"%>
<%@ Register tagPrefix="bbs" tagName="AdminFooter" src="controls/admin_footer.ascx"%><html>
	<head>
		<meta http-equiv="content-type" content="text/html; charset=gb2312" />
		<title>动网网站后台管理通用模板</title>
		<style>
.navpoint { cursor: pointer; display:block; padding:5px; }
body {overflow-x: hidden; overflow: hidden; }
td { font-size:12px; }
a { color: #135294; text-decoration: none; }
a:hover { color: #ff6600; text-decoration: underline; }
/* 文框录入框 */
.input_off { border:1px solid #9ea6ab;padding:2px;}
.input_on { border:1px solid #FFA200; background:#F3F6FA; padding:2px;}
/* 文框录入框 */

/* 按钮 */
.button_off { border:1px solid #D5E3ED; background:#EEF4F7;}
.button_on { border:1px solid #c3a336; background:#EEF4F7;}
/* 按钮 */
</style>
<script type='text/javascript' src='scripts/common.js'></script>
<script type="text/javascript" language="javascript" src="../templates/scripts/dvajax.js"></script>
<script>
var status = 1;
function switchSysBar()
{
     if (1 == window.status)
     {
		  window.status = 0;
          switchPoint.innerHTML = '<img src="images/left.gif" alt="" />';
          document.all("frmTitle").style.display="none"
     }
     else
     {
		  window.status = 1;
          switchPoint.innerHTML = '<img src="images/right.gif" alt="" />';
          document.all("frmTitle").style.display=""
     }
}

function EnterSubmit()
{
	if(event.keyCode == 13)
	{
		setvalue();
	}
}

function setvalue()
{
	var obj = document.getElementById('frmright').contentWindow.document.body;
	var keyword = document.getElementById('keyword');
	var link = '';
	var url = '';
	if(keyword.value=='')
	{
		link='请输入搜索条件!';
		obj.innerHTML=link;
		keyword.focus();
	}
	else
	{
		var ajax = new DvAjax();	
		ajax.Request('get', 'admin_function_search.aspx', 'action=search&keyword=' + escape(keyword.value), function (xmlHttp) {
			try
			{
				if ('0' === xmlHttp.responseText)
				{
					link='没有找到相关功能项！';							
				}
				else
				{
					link=xmlHttp.responseText;
				}
				if(link.indexOf('&')!=-1)
				{
					url=link.substring(link.indexOf('&')+1,link.length);
					document.getElementById('frmright').contentWindow.document.location=	url;	  
				}
				else
				{
					obj.innerHTML=link;
				}
			}
			catch(e)
			{ 
				alert(e.Message)
			}
			finally
			{
				xmlHttp.abort();
			}
		}, true);
	}
}
		</script>
		<body style="margin: 0px">
			<table border="0" cellpadding="0" cellspacing="0" height="100%" width="100%" style="background:#C3DAF9;">
				<tbody>
					<tr>
						<td height="58" colspan="3">
							<iframe frameborder="0" id="frmTop" name="frmTop" scrolling="no" src="admin_frame.html"
								style="height: 100%; visibility: inherit;width: 100%;"></iframe>
						</td>
					</tr>
					<tr>
						<td height="30" colspan="3">
							<table width="100%" border="0" cellspacing="0" cellpadding="0">
								<tr height="32">
									<td background="images/bg2.gif" width="28" style="padding-left:30px;"><img src="images/arrow.gif" alt="" align="absmiddle" /></td>
									<td background="images/bg2.gif" width="75%"><span style="float:left;">动网论坛官方通讯：</span><span style="color:#c00; font-weight:bold;" id="dvbbsannounce" style="width:100%;vertical-align:middle"></span></td>
									<td background="images/bg2.gif" style="text-align:right; color: #135294; padding-right:20px;">
										<input type="text" name="keyword" value="请输入功能名" size="15" ID="keyword" class="input_off"
											onkeyup="javascript:EnterSubmit()" onFocus="IEvent('focus',this);this.select()" onBlur="IEvent('blur',this)"
											onMouseOver="IEvent('mouseover',this)" onMouseOut="IEvent('mouseout',this)" />
										<input type="button" class="button_off" value="搜索" ID="btnSearch" NAME="btnSearch" onclick="javascript:setvalue()"
											onFocus="IEvent('focus',this);" onBlur="IEvent('blur',this)" onMouseOver="IEvent('mouseover',this)"
											onMouseOut="IEvent('mouseout',this)" />
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td align="middle" id="frmTitle" valign="top" name="fmtitle" style="background:#c9defa">
							<iframe frameborder="0" id="frmLeft" name="frmLeft" src="admin_menu.html" style="height: 100%; visibility: inherit;width: 185px;background:url(images/leftop.gif) no-repeat"
								allowtransparency="true"></iframe>
						<td style="width:0px; background:#fff;">
							<div onclick="switchSysBar()" style="position:absolute; left:5px; top:60px;">
								<span class="navpoint" id="switchPoint" title="关闭/打开左栏">
									<img src="images/right.gif" alt="" /></span>
							</div>
						</td>
						<td style="width: 100%" valign="top">
							<iframe frameborder="0" id="frmright" name="frmright" scrolling="yes" src="admin_readme.aspx" style="height: 100%; visibility: inherit; width:100%; z-index: 1"></iframe>
						</td>
					</tr>
					<tr>
						<td height="30" colspan="3">
							<table width="100%" border="0" cellspacing="0" cellpadding="0" style="background:url(images/botbg.gif)">
								<tr height="32">
									<td style="padding-left:30px; font-family:arial; font-size:11px;">Copyright Right 
										&copy; 2008 Dvbbs.Net Powered By Dvbbs.Net Version 1.1.0</td>
									<td style="text-align:right; color:#91B1C6;">
									<td style="text-align:right; color: #135294; padding-right:20px;">
									<a href="../index.aspx" target="_blank">论坛首页</a>
										| <a href="index.aspx" target="_self">管理首页</a>
										|
									<a href="admin_cache_remove.aspx" target="frmright">清理缓存</a>
										| <a href="admin_topic.aspx" target="frmright">回收站管理</a> | <a href="admin_log.aspx" target="frmright">
											系统日志</a>
											| <a href="admin_abandon.aspx">退出管理</a>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</tbody>
			</table>
			<div id="dvbbsannounce_true" style="display:none;">
				<script type="text/javascript" src="<%=StrPackJs%>"></script>
			</div>
			<script language="javascript">
	document.getElementById("dvbbsannounce").innerHTML = document.getElementById("dvbbsannounce_true").innerHTML;
			</script>
		</body>
</html>
